<?php
require_once 'libraries.php';

if(!(divle_currUserHasAccess() || DIVLE_RUN_AS_DEMO))
{
    echo "Sorry, you have no access to use this plugin";
    return;
}

$themeGroups       = divle_getThemeGroups(); //echo '<pre>';print_r($themeGroups);echo '</pre>';
$currThemeGroup    = divle_getCurrThemeGroup($themeGroups);
$currTheme         = divle_getCurrTheme($currThemeGroup);
$previewThemeGroup = divle_getPreviewThemeGroup($themeGroups);
$previewTheme      = $previewThemeGroup ? divle_getPreviewTheme($previewThemeGroup) : null;
$selectedThemeGroup = $previewThemeGroup ? $previewThemeGroup : $currThemeGroup;
$selectedTheme      = $previewTheme ? $previewTheme : $currTheme;
?>
<div id="divlayer-editor">
  <script type="text/javascript">
  var divle_themeGroups = new Array();
  <?php for($i = 0; $i < count($themeGroups); $i++): $themeGroup = $themeGroups[$i]; ?>
  divle_themeGroups[<?php echo $i; ?>] = new Array();
  divle_themeGroups[<?php echo $i; ?>]['name']     = "<?php echo $themeGroup['name']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['template'] = "<?php echo $themeGroup['template']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['themes']   = new Array();
  <?php for($j = 0; $j < count($themeGroup['themes']); $j++): $theme = $themeGroup['themes'][$j]; ?>
  divle_themeGroups[<?php echo $i; ?>]['themes'][<?php echo $j; ?>] = new Array();
  divle_themeGroups[<?php echo $i; ?>]['themes'][<?php echo $j; ?>]['group_version'] = "<?php echo $theme['group_version']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['themes'][<?php echo $j; ?>]['stylesheet']    = "<?php echo $theme['Stylesheet']; ?>";
  <?php endfor; ?>
  divle_themeGroups[<?php echo $i; ?>]['child_groups'] = new Array();
  <?php for($j = 0; $j < count($themeGroup['child_groups']); $j++): $childGroup = $themeGroup['child_groups'][$j]; ?>
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>] = new Array();
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['name']           = "<?php echo $childGroup['name']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['par_stylesheet'] = "<?php echo $childGroup['par_stylesheet']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['themes']         = new Array();
  <?php for($k = 0; $k < count($childGroup['themes']); $k++): $theme = $childGroup['themes'][$k]; ?>
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['themes'][<?php echo $k; ?>] = new Array();
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['themes'][<?php echo $k; ?>]['group_version']  = "<?php echo $theme['group_version']; ?>";
  divle_themeGroups[<?php echo $i; ?>]['child_groups'][<?php echo $j; ?>]['themes'][<?php echo $k; ?>]['stylesheet']     = "<?php echo $theme['Stylesheet']; ?>";
  <?php endfor; ?>
  <?php endfor; ?>
  <?php endfor; ?>

  var divle_currTemplate       = "<?php echo $currThemeGroup['template']; ?>";
  var divle_currParStylesheet  = "<?php echo !empty($currTheme['par_stylesheet']) ? $currTheme['par_stylesheet'] : ''; ?>";
  var divle_currStylesheet     = "<?php echo $currTheme['Stylesheet']; ?>";
  var divle_selectedTemplate   = "<?php echo $selectedThemeGroup['template']; ?>";
  var divle_selectedParStylesheet = "<?php echo !empty($selectedTheme['par_stylesheet']) ? $selectedTheme['par_stylesheet'] : ''; ?>";
  var divle_selectedStylesheet = "<?php echo $selectedTheme['Stylesheet']; ?>";
  var divle_helpIframeSrc      = "<?php echo DIVLE_HELP_IFRAME_SRC; ?>";
  </script>

  <div id="divlayer-theme-navigation" class="divlayer-navigation-bar">
    <div>
      <label for="divlayer-input-theme-name">Theme</label>
      <select name="divlayer_theme_template" id="divlayer-input-theme-name" class="divlayer-input-select">
      </select>
    </div>
    <div>
      <label for="divlayer-input-theme-version">Version</label>
      <select name="divlayer_theme_stylesheet" id="divlayer-input-theme-version" class="divlayer-input-select">
      </select>

      <a href="#" id="divlayer-arrow-round" title="Reload"><span class="divlayer-nav-images divlayer-img-round"></span></a>
      <a href="#" id="divlayer-action-version-check" title="Set this as current version"><span class="divlayer-nav-images divlayer-img-check"></span></a>
      <a href="#" id="divlayer-button-save" title="Save changes at this version"><span class="divlayer-nav-images divlayer-img-floppy-disk"></span></a>
      <a href="#" id="divlayer-button-new" title="Save changes to new version"><span class="divlayer-nav-images divlayer-img-plus-sign"></span></a>
      <a href="#" id="divlayer-button-del" title="Delete this version"><span class="divlayer-nav-images divlayer-img-cross"></span></a>

    </div>
    <div class="divlayer-clear"></div>
  </div>

  <div id="divlayer-arrow-navigation" class="divlayer-navigation-bar">
    <label for="divlayer-arrow-navigation-select">Select</label>
    <div class="divlayer-arrow-list">
      <a href="#" id="divlayer-arrow-up" title="Select parent"><span class="divlayer-nav-images divlayer-img-arrow-up"></span></a>
      <a href="#" id="divlayer-arrow-down" title="Select child"><span class="divlayer-nav-images divlayer-img-arrow-down"></span></a>
      <a href="#" id="divlayer-arrow-left" title="Select previous"><span class="divlayer-nav-images divlayer-img-arrow-left"></span></a>
      <a href="#" id="divlayer-arrow-right" title="Select next"><span class="divlayer-nav-images divlayer-img-arrow-right"></span></a>
      <a href="#" id="divlayer-action-check" title="Include other matches"><span class="divlayer-nav-images divlayer-img-check"></span></a>
    </div>
    <div class="divlayer-search-box">
      <input type="text" name="divlayer_search_element" id="divlayer-search-element" class="divlayer-input-text" />
      <a href="#" id="divlayer-action-search" title="Search"><span class="divlayer-nav-images divlayer-img-magnifier"></span></a>
    </div>
    <div class="divlayer-clear"></div>
  </div>
  
  <div id="divlayer-multi-select-nav" class="divlayer-navigation-bar divle-hide">
    <div class="divle-multi-sel-cont">
        <table cellpadding="0" cellspacing="0">
        </table>
    </div>
  </div>

  <div id="divlayer-property-tabs">
    <ul>
      <li><a href="#divlayer-text">Text</a></li>
      <li><a href="#divlayer-border">Border</a></li>
      <li><a href="#divlayer-margin">Margin</a></li>
      <li><a href="#divlayer-background">Background</a></li>
      <li><a href="#divlayer-positioning">Positioning</a></li>
    </ul>

    <div id="divlayer-text" class="divlayer-tabs">
    </div>

    <div id="divlayer-border" class="divlayer-tabs">
    </div>

    <div id="divlayer-margin" class="divlayer-tabs">
    </div>

    <div id="divlayer-background" class="divlayer-tabs">
    </div>

    <div id="divlayer-positioning" class="divlayer-tabs">
    </div>

  </div>
  <img class="divle-out-of-view" src="<?php echo plugins_url('/images/ajax-loader-2.gif', dirname(__FILE__)); ?>" />
</div>
